Skip to navigation

Get States

This method returns a list of all states for the specified country as defined by ISO3166. Note that many countries may have administrative regions although not all countries require administrative regions to be used when specifying an address.

Each state includes its unique identifier, state code, and name.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

isoCodestringRequired

The ISO-3166-2 code of the country

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or nullOptional
If the API call failed, this will contain information about the error that occurred.
successbooleanOptionalRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanOptionalRead-only
True if the API call failed.
statusCodeenumOptional
The HTTP code of the response.
datalist of objectsOptional
If the API call succeeded, this will contain the results.